<template>
  <v-container class="fill-height" fluid>
    <v-row class="d-flex align-center justify-center align-content-center">
      <div class="text-center justify-center">
        <span class="circle">
          <img src="../assets/logo.png" alt="" class="hero-logo" >
        </span>
        <p class="mt-5 display-1 justify-center">
          Benvenuto su Shop&Go <br>
          non essere timido, fai come se fossi a casa tua <br>
          e naviga tra le pagine di questa splendida web app!
        </p>
      </div>
    </v-row>
  </v-container>
</template>

<script>
export default {
  name: "Home"
}
</script>

<style scoped>

.circle {
  display: block;

  background-color: #FF1A1A;
  -moz-border-radius: 50%;
  border-radius: 50%;
  text-align: center;
}

.card-img-top {
  object-fit: cover;
}

.hero-logo:hover {
  -webkit-animation: completeRotation 1s;
}

.hero-logo {
  place-self: center;
  height: 100%;
  -webkit-animation: antiRotation .5s;
}

/*  Animazioni */

@-webkit-keyframes completeRotation {
  from {
    -webkit-transform: rotate(0deg);
  }
  to {
    -webkit-transform: rotate(359deg);
  }
}

@-webkit-keyframes antiRotation {
  from {
    -webkit-transform: rotate(360deg);
  }
  to {
    -webkit-transform: rotate(0deg);
  }
}

</style>
